package q1k2.base.common.ceco.model;

import q1k2.base.common.ceco.enums.ErrorTypeEnum;

/**
 * @BelongsProject: q1k2-cosmic
 * @BelongsPackage: q1k2.base.common.ceco.model
 * @Author: yanhongwei
 * @CreateTime: 2024-06-26  17:54
 * @Description: TODO
 * @Version: 1.0
 */
public class PatchErrorInfo {
    private String errType;
    private String errcode;
    private String errmessage;

    public PatchErrorInfo() {
    }

    public PatchErrorInfo(String errType, String errcode, String errmessage) {
        this.errType = errType;
        this.errcode = errcode;
        this.errmessage = errmessage;
    }

    public PatchErrorInfo(ErrorTypeEnum errorType, String errcode, String errmessage) {
        this.errType = errorType.getID();
        this.errcode = errcode;
        this.errmessage = errmessage;
    }

    public String getErrType() {
        return this.errType;
    }

    public void setErrType(String errType) {
        this.errType = errType;
    }

    public String getErrcode() {
        return this.errcode;
    }

    public void setErrcode(String errcode) {
        this.errcode = errcode;
    }

    public String getErrmessage() {
        return this.errmessage;
    }

    public void setErrmessage(String errmessage) {
        this.errmessage = errmessage;
    }
}
