package q1k2.base.common.ceco.plugin.formplugin;

import kd.bos.dataentity.utils.StringUtils;
import kd.bos.form.control.CodeEdit;
import kd.bos.form.plugin.AbstractFormPlugin;

import java.util.EventObject;
import java.util.Map;

/**
 * @BelongsProject: q1k2-cosmic
 * @BelongsPackage: q1k2.base.common.ceco.plugin.formplugin
 * @Author: yanhongwei
 * @CreateTime: 2024-06-26  18:20
 * @Description: TODO
 * @Version: 1.0
 */
public class KSQLTransFormPlugin extends AbstractFormPlugin {
    public KSQLTransFormPlugin() {
    }

    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        Map<String, Object> showParam = this.getView().getFormShowParameter().getCustomParams();
        String ksqlStr = (String)showParam.get("ksqlStr");
        if (!StringUtils.isEmpty(ksqlStr)) {
            CodeEdit codeKSQLEdit = (CodeEdit)this.getView().getControl("codeedit_ksql");
            codeKSQLEdit.setText(ksqlStr);
            this.getView().updateView("codeedit_ksql");
        }

    }
}
