package q1k2.base.common.ceco.enums;

public enum SystemFieldEnum {
    FID("FID", "FID"),
    FENTRYID("FENTRYID", "FENTRYID"),
    FSEQ("FSEQ", "FSEQ"),
    FPKID("FPKID", "FPKID"),
    FLOCALEID("FLOCALEID", "FLOCALEID"),
    FNAME("FNAME", "FNAME"),
    FSTATUS("FSTATUS", "FSTATUS"),
    FCREATORID("FCREATORID", "FCREATORID"),
    FMODIFIERID("FMODIFIERID", "FMODIFIERID"),
    FENABLE("FENABLE", "FENABLE"),
    FCREATETIME("FCREATETIME", "FCREATETIME"),
    FMODIFYTIME("FMODIFYTIME", "FMODIFYTIME"),
    FMASTERID("FMASTERID", "FMASTERID"),
    FBILLNO("FBILLNO", "FBILLNO"),
    FBILLSTATUS("FBILLSTATUS", "FBILLSTATUS"),
    FPARENTENTRYID("FPARENTENTRYID", "FPARENTENTRYID"),
    FNUMBER("FNUMBER", "FNUMBER"),
    FPARENTID("FPARENTID", "FPARENTID");

    private String ID;
    private String Name;

    private SystemFieldEnum(String ID, String Name) {
        this.ID = ID;
        this.Name = Name;
    }

    public String getID() {
        return this.ID;
    }

    public void setID(String ID) {
        this.ID = ID;
    }

    public String getName() {
        return this.Name;
    }

    public void setName(String name) {
        this.Name = name;
    }
}
